Subject: bug#8300: save-some-buffers no longer asks user about each one

From: David Engster <[email-masked]>
Date: Sun, 20 Mar 2011 12:59:22 +0100

'jidanni' writes:
> I think the documentation should stay put.
> It is only some kiddie MicroSoft system that insists it is smarter than
> you and saves things just because you ask. What if the cops sent a car
> just because you called 911 and even before they asked what the problem was.

save-some-buffers gets called a lot when you use packages which call
external tools (like AucTeX, compile, magit, etc.), and people were
annoyed to get asked every time if the dribble file should be saved, so
in the end Lars decided to set buffer-save-without-query. I think this
is a very minor issue (and hence perfect for bikeshedding, strange
analogies and MS bashing).

-David